Subject: [bug#56041] Fwd: Re: [bug#56041] [PATCH] gnu: Add vkmark.

From: "(" <[email-masked]>
Date: Sat, 18 Jun 2022 09:13:56 +0100

Forwarded message from ( on Fri Jun 17, 2022 at 11:47 PM:
On Fri Jun 17, 2022 at 11:40 PM BST, Tomasz Jeneralczyk wrote:

> Do you want me to write a comment there explaining why I used a specific 

> commit?

Yeah, that'd be good and seems to be usual practise :)

> > Nitpick: file-name usually comes after uri in most of the packages I've

> > seen. Maybe run guix style, if you haven't already.

> All I can tell is guix style does not do much, could not even fix this 

> simple

> issue.

Yeah, i just replied to my message saying that I no longer recommend

guix style, since it completely wrecked the formatting of a package I

was working on... Interesting that it doesn't do anything here, though.

> So do I send a new patch in this thread (with the same or a different 

> subject?) or make a new thread with it?

(1) make modifications

(2) commit modifications

(3) rebase <https://git-rebase.io> the commits as fixups for the original

    commits so that your new patchset will be completely independent of

    the original

(4) git send-email -v2 to _this_ thread <56041 <at> debbugs.gnu.org>, not a

    new one

This will send an amended set of commits. Note that these commits should

not be fixes for the earlier commits, but modified versions of the original

commits (so that the v2 patches can be applied without first applying

the v1 patches).

Please only send plain-text email; see <https://useplaintext.email>. Thanks!